Index: tmp/org.txm.concordance.core/src/org/txm/concordance/core/functions/Concordance.java
===================================================================
--- tmp/org.txm.concordance.core/src/org/txm/concordance/core/functions/Concordance.java	(revision 1963)
+++ tmp/org.txm.concordance.core/src/org/txm/concordance/core/functions/Concordance.java	(revision 1964)
@@ -415,6 +415,11 @@
 	public CQPCorpus getCorpus() {
 		return (CQPCorpus) this.parent;
 	}
+	
+	@Override
+	public String getSimpleDetails() {
+		return getComputingDoneMessage();
+	}
 
 	@Override
 	public String getDetails() {
Index: tmp/org.txm.ahc.core/src/org/txm/ahc/core/functions/AHC.java
===================================================================
--- tmp/org.txm.ahc.core/src/org/txm/ahc/core/functions/AHC.java	(revision 1963)
+++ tmp/org.txm.ahc.core/src/org/txm/ahc/core/functions/AHC.java	(revision 1964)
@@ -36,6 +36,7 @@
 import org.txm.ahc.core.preferences.AHCPreferences;
 import org.txm.ca.core.functions.CA;
 import org.txm.chartsengine.core.results.ChartResult;
+import org.txm.core.messages.TXMCoreMessages;
 import org.txm.core.results.Parameter;
 import org.txm.core.results.TXMParameters;
 import org.txm.lexicaltable.core.functions.LexicalTable;
@@ -702,6 +703,15 @@
 		return NLS.bind(this.getName() + "\ncomputed with the {0} method and the {1} metric.", method, metric);
 	}
 
+	@Override
+	public String getComputingDoneMessage() {
+		if(hasBeenComputedOnce())	{
+			return getSimpleDetails();
+		}
+		else	{
+			return TXMCoreMessages.common_noResults;
+		}
+	}
 
 	/**
 	 * Gets the 2D rendering state.
Index: tmp/org.txm.ca.core/src/org/txm/ca/core/functions/CA.java
===================================================================
--- tmp/org.txm.ca.core/src/org/txm/ca/core/functions/CA.java	(revision 1963)
+++ tmp/org.txm.ca.core/src/org/txm/ca/core/functions/CA.java	(revision 1964)
@@ -771,6 +771,16 @@
 			return "";
 		}
 	}
+	
+	@Override
+	public String getComputingDoneMessage() {
+		if(hasBeenComputedOnce())	{
+			return getSimpleDetails();
+		}
+		else	{
+			return TXMCoreMessages.common_noResults;
+		}
+	}
 
 	@Override
 	public String getName() {
Index: tmp/org.txm.specificities.core/src/org/txm/specificities/core/functions/Specificities.java
===================================================================
--- tmp/org.txm.specificities.core/src/org/txm/specificities/core/functions/Specificities.java	(revision 1963)
+++ tmp/org.txm.specificities.core/src/org/txm/specificities/core/functions/Specificities.java	(revision 1964)
@@ -673,10 +673,14 @@
 	
 	@Override
 	public String getComputingDoneMessage() {
-		return TXMCoreMessages.common_done;
+		if(hasBeenComputedOnce())	{
+			return getDetails();
+		}
+		else	{
+			return TXMCoreMessages.common_noResults;
+		}
 	}
 	
-	
 	@Override
 	public boolean canCompute() {
 
@@ -729,9 +733,4 @@
 	public String getResultType() {
 		return SpecificitiesCoreMessages.RESULT_TYPE;
 	}
-
-
-
-
-
 }
\ No newline at end of file
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/views/corpora/CorporaView.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/views/corpora/CorporaView.java	(revision 1963)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/views/corpora/CorporaView.java	(revision 1964)
@@ -321,7 +321,7 @@
 					//						mess = result.getCurrentName();
 					//					}
 					//					StatusLine.setMessage(mess);
-					StatusLine.setMessage(((TXMResult)selectedItem).getName());
+					StatusLine.setMessage(((TXMResult)selectedItem).getComputingDoneMessage());
 				}
 
 			}
Index: tmp/org.txm.internalview.core/src/org/txm/internalview/core/functions/InternalView.java
===================================================================
--- tmp/org.txm.internalview.core/src/org/txm/internalview/core/functions/InternalView.java	(revision 1963)
+++ tmp/org.txm.internalview.core/src/org/txm/internalview/core/functions/InternalView.java	(revision 1964)
@@ -231,6 +231,15 @@
 		return getCorpus().getName()+" "+pStructuralUnit.getName()+" "+(pCurrentPage+1); //$NON-NLS-1$ //$NON-NLS-2$
 	}
 
+	@Override
+	public String getComputingDoneMessage() {
+		if (hasBeenComputedOnce()) {
+			return getName();
+		} else {
+			return "";
+		}
+		//return TXMCoreMessages.common_done;
+	}
 
 	@Override
 	public String getSimpleName() {
Index: tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/Partition.java
===================================================================
--- tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/Partition.java	(revision 1963)
+++ tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/Partition.java	(revision 1964)
@@ -366,7 +366,7 @@
 
 	@Override
 	public String getDetails() {
-		return NLS.bind(this.getName() + " ({0})", this.getPartsCount());
+		return this.getName();
 	}
 
 	@Override
@@ -386,7 +386,6 @@
 		return name;
 	}
 	
-	
 	@Override
 	public String getComputingStartMessage() {
 		return TXMCoreMessages.bind("Création de la partition {0} dans le corpus {1}...", this.getSimpleName(), this.getCorpus().getName());
Index: tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/MainCorpus.java
===================================================================
--- tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/MainCorpus.java	(revision 1963)
+++ tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/MainCorpus.java	(revision 1964)
@@ -332,6 +332,16 @@
 		}
 	}
 
+	@Override
+	public String getComputingDoneMessage() {
+		if (hasBeenComputedOnce()) {
+			return getDetails();
+		} else {
+			return "";
+		}
+		//return TXMCoreMessages.common_done;
+	}
+	
 	/**
 	 * Gets the first position.
 	 *
Index: tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/Subcorpus.java
===================================================================
--- tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/Subcorpus.java	(revision 1963)
+++ tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/Subcorpus.java	(revision 1964)
@@ -124,14 +124,18 @@
 		return TXMCoreMessages.bind("Création du sous-corpus {0} dans le corpus {1}...", this.getSimpleName(), this.getParent().getName());
 	}
 
-	
 	@Override
 	public String getComputingDoneMessage() {
-		return TXMCoreMessages.common_done;
+		if (hasBeenComputedOnce()) {
+			return getDetails();
+		} else {
+			return "";
+		}
+		//return TXMCoreMessages.common_done;
 	}
 	
 	/*
-	 * retro compatability method for import.xml file
+	 * retro compatibility method for import.xml file
 	 * 
 	 * @see org.txm.searchengine.cqp.corpus.Corpus#getLocale()
 	 */
Index: tmp/org.txm.core/src/java/org/txm/core/messages/messages.properties
===================================================================
--- tmp/org.txm.core/src/java/org/txm/core/messages/messages.properties	(revision 1963)
+++ tmp/org.txm.core/src/java/org/txm/core/messages/messages.properties	(revision 1964)
@@ -138,6 +138,8 @@
 fillImportxmlWithColon = Fill ''import.xml'' file with: 
 
 filterManagerErrorColonInitializationP0NotFound = ** Initialization error of the filter manager: {0} not found.
+
+fminP0fmaxP1tP2vP3 = fmin {0} fmax {1} t {2} v {3}
 
 fmax = , fmax 
 
Index: tmp/org.txm.core/src/java/org/txm/core/messages/TXMCoreMessages.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/core/messages/TXMCoreMessages.java	(revision 1963)
+++ tmp/org.txm.core/src/java/org/txm/core/messages/TXMCoreMessages.java	(revision 1964)
@@ -171,7 +171,9 @@
 
 	public static String loadingExtensionPreInstallation;
 
-	public static String initializingToolbox; 
+	public static String initializingToolbox;
+
+	public static String fminP0fmaxP1tP2vP3; 
 	
 	
 	/**
Index: tmp/org.txm.core/src/java/org/txm/core/results/TXMResult.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/core/results/TXMResult.java	(revision 1963)
+++ tmp/org.txm.core/src/java/org/txm/core/results/TXMResult.java	(revision 1964)
@@ -2636,4 +2636,12 @@
 		return this.getSimpleName();
 	}
 
+	/**
+	 * Default implementation getSimpleDetails
+	 * 
+	 * @return
+	 */
+	public String getSimpleDetails() {
+		return getDetails().replace("\n", " ");
+	}
 }
Index: tmp/org.txm.progression.core/src/org/txm/progression/core/functions/Progression.java
===================================================================
--- tmp/org.txm.progression.core/src/org/txm/progression/core/functions/Progression.java	(revision 1963)
+++ tmp/org.txm.progression.core/src/org/txm/progression/core/functions/Progression.java	(revision 1964)
@@ -810,7 +810,7 @@
 	
 	@Override
 	public String getComputingDoneMessage() {
-		if(this.getAllPositions().isEmpty())	{
+		if (this.getAllPositions() == null || this.getAllPositions().isEmpty())	{
 			return TXMCoreMessages.common_noResults;
 		}
 		else {
@@ -822,7 +822,6 @@
 		}
 	}
 	
-
 	/**
 	 * @return the bandeMultiplier
 	 */
@@ -830,8 +829,6 @@
 		return bandeMultiplier;
 	}
 
-
-
 	/**
 	 * @param bandeMultiplier the bandeMultiplier to set
 	 */
Index: tmp/org.txm.properties.core/src/org/txm/properties/core/messages/messages_fr.properties
===================================================================
--- tmp/org.txm.properties.core/src/org/txm/properties/core/messages/messages_fr.properties	(revision 1963)
+++ tmp/org.txm.properties.core/src/org/txm/properties/core/messages/messages_fr.properties	(revision 1964)
@@ -28,7 +28,7 @@
 
 numberOfWordProperties = Nombre de propriétés de mot 
 
-numberOfWords = Nombre de mots 
+numberOfWordsP0 = Nombre de mots : {0}
 
 s = - S 
 
Index: tmp/org.txm.properties.core/src/org/txm/properties/core/messages/PropertiesCoreMessages.java
===================================================================
--- tmp/org.txm.properties.core/src/org/txm/properties/core/messages/PropertiesCoreMessages.java	(revision 1963)
+++ tmp/org.txm.properties.core/src/org/txm/properties/core/messages/PropertiesCoreMessages.java	(revision 1964)
@@ -31,7 +31,7 @@
 	public static String wordProperties; 
 	public static String s; 
 	public static String generalStatistics_2; 
-	public static String numberOfWords; 
+	public static String numberOfWordsP0; 
 	public static String numberOfWordProperties; 
 	public static String error_failedToAccessLexiconOfCorpusP0;
 	public static String error_failedToAccessStructuresOfCorpusP0;
Index: tmp/org.txm.properties.core/src/org/txm/properties/core/messages/messages.properties
===================================================================
--- tmp/org.txm.properties.core/src/org/txm/properties/core/messages/messages.properties	(revision 1963)
+++ tmp/org.txm.properties.core/src/org/txm/properties/core/messages/messages.properties	(revision 1964)
@@ -28,7 +28,7 @@
 
 numberOfWordProperties = Number of word properties 
 
-numberOfWords = Number of words 
+numberOfWordsP0 = Number of words: {0}
 
 s = - S 
 
Index: tmp/org.txm.properties.core/src/org/txm/properties/core/functions/Properties.java
===================================================================
--- tmp/org.txm.properties.core/src/org/txm/properties/core/functions/Properties.java	(revision 1963)
+++ tmp/org.txm.properties.core/src/org/txm/properties/core/functions/Properties.java	(revision 1964)
@@ -303,7 +303,7 @@
 
 		// counts
 		buff.append("<ul>\n"); //$NON-NLS-1$
-		buff.append("<li>" + PropertiesCoreMessages.numberOfWords + numberOfWords + "</li>\n"); //$NON-NLS-1$ //$NON-NLS-2$
+		buff.append("<li>" + NLS.bind(PropertiesCoreMessages.numberOfWordsP0, numberOfWords) + "</li>\n"); //$NON-NLS-1$ //$NON-NLS-2$
 		buff.append("<li>" + PropertiesCoreMessages.numberOfWordProperties + (NProperties - 1) + "</li>\n"); //$NON-NLS-2$ //$NON-NLS-1$
 		buff.append("<li>" + PropertiesCoreMessages.numberOfStructuralUnits + NStructures + "</li>\n"); //$NON-NLS-2$ //$NON-NLS-1$
 		buff.append("</ul>\n"); //$NON-NLS-1$
@@ -613,7 +613,11 @@
 
 	@Override
 	public String getDetails() {
-		return String.valueOf(numberOfWords);
+		if (numberOfWords >= 0) {
+			return NLS.bind(PropertiesCoreMessages.numberOfWordsP0, numberOfWords);
+		} else {
+			return "";
+		}
 	}
 
 	@Override
Index: tmp/org.txm.index.core/src/org/txm/index/core/functions/PartitionIndex.java
===================================================================
--- tmp/org.txm.index.core/src/org/txm/index/core/functions/PartitionIndex.java	(revision 1963)
+++ tmp/org.txm.index.core/src/org/txm/index/core/functions/PartitionIndex.java	(revision 1964)
@@ -188,6 +188,15 @@
 		return (Partition)parent;
 	}
 	
+	public String getComputingDoneMessage() {
+		if(this.lines.isEmpty())	{
+			return TXMCoreMessages.common_noResults;
+		}
+		else	{
+			return TXMCoreMessages.bind(TXMCoreMessages.common_P0ItemsForP1Occurrences, this.lines.size(), this.nTotalTokens);
+		}
+	}
+	
 	@Override
 	protected boolean _compute() throws Exception {
 		lines.clear();
Index: tmp/org.txm.index.core/src/org/txm/index/core/functions/Index.java
===================================================================
--- tmp/org.txm.index.core/src/org/txm/index/core/functions/Index.java	(revision 1963)
+++ tmp/org.txm.index.core/src/org/txm/index/core/functions/Index.java	(revision 1964)
@@ -487,7 +487,22 @@
 			return getName();
 		}
 	}
+	
+	@Override
+	public String getSimpleDetails() {
 
+		try {
+			if (hasBeenComputedOnce) {
+				return TXMCoreMessages.bind(TXMCoreMessages.fminP0fmaxP1tP2vP3, getFmin(), getFmax(), getT(), getV());
+			} else {
+				return getName();
+			}
+		}
+		catch(Exception e) {
+			return getName();
+		}
+	}
+
 	/**
 	 * Gets the filter fmax.
 	 *
Index: tmp/org.txm.referencer.core/src/org/txm/referencer/core/functions/Referencer.java
===================================================================
--- tmp/org.txm.referencer.core/src/org/txm/referencer/core/functions/Referencer.java	(revision 1963)
+++ tmp/org.txm.referencer.core/src/org/txm/referencer/core/functions/Referencer.java	(revision 1964)
@@ -371,7 +371,7 @@
 	
 	@Override
 	public String getComputingDoneMessage() {
-		if(this.lines.isEmpty())	{
+		if(this.lines == null || this.lines.isEmpty())	{
 			return TXMCoreMessages.common_noResults;
 		}
 		else	{
